ru.bitel.bgbilling.modules.tv.access.om

## Class OrderManagerDeviceWorker

- java.lang.Object
- - ru.bitel.common.worker.WorkerTask<EventListenerContext>
  - - ru.bitel.bgbilling.kernel.event.EventWorker
    - - ru.bitel.bgbilling.kernel.event.AsyncEventWorker<Event>
      - - ru.bitel.bgbilling.modules.tv.access.om.OrderManagerDeviceWorker

- All Implemented Interfaces:
    java.lang.Runnable, EventListener<Event>

      public class OrderManagerDeviceWorker
      extends AsyncEventWorker<Event>

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.AsyncEventWorker

      `batchPause, batchSize, errorCount, needAcknowledge, waitNextTask`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.EventWorker

      `batchWait, consumer, errorPause, moduleId, working`

    - ### Fields inherited from class ru.bitel.common.worker.WorkerTask

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderManagerDeviceWorker(ru.bitel.bgbilling.modules.tv.access.TvAccess access, java.util.concurrent.ScheduledExecutorService scheduledExecutorService, int deviceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `doTask(java.lang.Object task)` Выполнение отдельной задачи.
    `protected void` | `processDoTaskException(java.lang.Object task, boolean inDoTask, boolean putFirstIfInDoTask, ru.bitel.bgbilling.common.BGException ex, boolean throwException)`
    `protected void` | `runImpl()`
    `protected boolean` | `runWorker()`
    `protected void` | `taskDone(java.lang.Object task, java.lang.Object result)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.AsyncEventWorker

      `doTasks, internalDoTask, notify, poll, putFirst, putLast`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.EventWorker

      `internalRunWorker, pollFirstTask, setConsumer, shutdown`

    - ### Methods inherited from class ru.bitel.common.worker.WorkerTask

      `newBlockingFixedThreadPool, newFixedThreadPool, newFixedThreadPool, newScheduledThreadPool, run, runSync, runSync, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderManagerDeviceWorker

          public OrderManagerDeviceWorker(ru.bitel.bgbilling.modules.tv.access.TvAccess access,
                                          java.util.concurrent.ScheduledExecutorService scheduledExecutorService,
                                          int deviceId)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### runImpl

          protected void runImpl()
                          throws java.lang.Exception

      Overrides:
        `runImpl` in class `EventWorker`
      Throws:
        `java.lang.Exception`

    - #### runWorker

          protected boolean runWorker()
                               throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `runWorker` in class `EventWorker`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doTask

          public java.lang.Object doTask(java.lang.Object task)
                                  throws ru.bitel.bgbilling.common.BGException

      Выполнение отдельной задачи. Очень важная часть - правильная реакция на события.
      Specified by:
        `doTask` in class `EventWorker`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### taskDone

          protected void taskDone(java.lang.Object task,
                                  java.lang.Object result)
                           throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `taskDone` in class `AsyncEventWorker<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### processDoTaskException

          protected void processDoTaskException(java.lang.Object task,
                                                boolean inDoTask,
                                                boolean putFirstIfInDoTask,
                                                ru.bitel.bgbilling.common.BGException ex,
                                                boolean throwException)
                                         throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `processDoTaskException` in class `AsyncEventWorker<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`